> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a software by ID

> Return software details for the given software ID, including targeting details.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /software/{softwareId}
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /software/{softwareId}:
    get:
      tags:
        - Softwares
      summary: Get a software by ID
      description: >-
        Return software details for the given software ID, including targeting
        details.
      operationId: getSoftware
      parameters:
        - name: softwareId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````